PulseAudio 16.1

Data Structures | Typedefs | Functions
ext-stream-restore.h File Reference

Routines for controlling module-stream-restore. More...

Go to the source code of this file.

## Data Structures
struct | pa_ext_stream_restore_info
| Stores information about one entry in the stream database that is maintained by module-stream-restore. More...

## Typedefs
typedef struct pa_ext_stream_restore_info | pa_ext_stream_restore_info
| Stores information about one entry in the stream database that is maintained by module-stream-restore. More...
typedef void(* | pa_ext_stream_restore_test_cb_t) (pa_context *c, uint32_t version, void *userdata)
| Callback prototype for pa_ext_stream_restore_test(). More...
typedef void(* | pa_ext_stream_restore_read_cb_t) (pa_context *c, const pa_ext_stream_restore_info *info, int eol, void *userdata)
| Callback prototype for pa_ext_stream_restore_read(). More...
typedef void(* | pa_ext_stream_restore_subscribe_cb_t) (pa_context *c, void *userdata)
| Callback prototype for pa_ext_stream_restore_set_subscribe_cb(). More...

## Functions
pa_operation * | pa_ext_stream_restore_test (pa_context *c, pa_ext_stream_restore_test_cb_t cb, void *userdata)
| Test if this extension module is available in the server. More...
pa_operation * | pa_ext_stream_restore_read (pa_context *c, pa_ext_stream_restore_read_cb_t cb, void *userdata)
| Read all entries from the stream database. More...
pa_operation * | pa_ext_stream_restore_write (pa_context *c, pa_update_mode_t mode, const pa_ext_stream_restore_info data[], unsigned n, int apply_immediately, pa_context_success_cb_t cb, void *userdata)
| Store entries in the stream database. More...
pa_operation * | pa_ext_stream_restore_delete (pa_context *c, const char *const s[], pa_context_success_cb_t cb, void *userdata)
| Delete entries from the stream database. More...
pa_operation * | pa_ext_stream_restore_subscribe (pa_context *c, int enable, pa_context_success_cb_t cb, void *userdata)
| Subscribe to changes in the stream database. More...
void | pa_ext_stream_restore_set_subscribe_cb (pa_context *c, pa_ext_stream_restore_subscribe_cb_t cb, void *userdata)
| Set the subscription callback that is called when pa_ext_stream_restore_subscribe() was called. More...

## Detailed Description

Routines for controlling module-stream-restore.

## Typedef Documentation

## ◆ pa_ext_stream_restore_info

typedef struct pa_ext_stream_restore_info pa_ext_stream_restore_info

Stores information about one entry in the stream database that is maintained by module-stream-restore.

Since
  0.9.12

## ◆ pa_ext_stream_restore_read_cb_t

typedef void(* pa_ext_stream_restore_read_cb_t) (pa_context *c, const pa_ext_stream_restore_info *info, int eol, void *userdata)

Callback prototype for pa_ext_stream_restore_read().

Since
  0.9.12

## ◆ pa_ext_stream_restore_subscribe_cb_t

typedef void(* pa_ext_stream_restore_subscribe_cb_t) (pa_context *c, void *userdata)

Callback prototype for pa_ext_stream_restore_set_subscribe_cb().

Since
  0.9.12

## ◆ pa_ext_stream_restore_test_cb_t

typedef void(* pa_ext_stream_restore_test_cb_t) (pa_context *c, uint32_t version, void *userdata)

Callback prototype for pa_ext_stream_restore_test().

Since
  0.9.12

## Function Documentation

## ◆ pa_ext_stream_restore_delete()

pa_operation * pa_ext_stream_restore_delete | ( | pa_context * | c,
|  | const char *const | s[],
|  | pa_context_success_cb_t | cb,
|  | void * | userdata
| ) |  |

Delete entries from the stream database.

Since
  0.9.12

## ◆ pa_ext_stream_restore_read()

pa_operation * pa_ext_stream_restore_read | ( | pa_context * | c,
|  | pa_ext_stream_restore_read_cb_t | cb,
|  | void * | userdata
| ) |  |

Read all entries from the stream database.

Since
  0.9.12

## ◆ pa_ext_stream_restore_set_subscribe_cb()

void pa_ext_stream_restore_set_subscribe_cb | ( | pa_context * | c,
|  | pa_ext_stream_restore_subscribe_cb_t | cb,
|  | void * | userdata
| ) |  |

Set the subscription callback that is called when pa_ext_stream_restore_subscribe() was called.

Since
  0.9.12

## ◆ pa_ext_stream_restore_subscribe()

pa_operation * pa_ext_stream_restore_subscribe | ( | pa_context * | c,
|  | int | enable,
|  | pa_context_success_cb_t | cb,
|  | void * | userdata
| ) |  |

Subscribe to changes in the stream database.

Since
  0.9.12

## ◆ pa_ext_stream_restore_test()

pa_operation * pa_ext_stream_restore_test | ( | pa_context * | c,
|  | pa_ext_stream_restore_test_cb_t | cb,
|  | void * | userdata
| ) |  |

Test if this extension module is available in the server.

Since
  0.9.12

## ◆ pa_ext_stream_restore_write()

pa_operation * pa_ext_stream_restore_write | ( | pa_context * | c,
|  | pa_update_mode_t | mode,
|  | const pa_ext_stream_restore_info | data[],
|  | unsigned | n,
|  | int | apply_immediately,
|  | pa_context_success_cb_t | cb,
|  | void * | userdata
| ) |  |

Store entries in the stream database.

Since
  0.9.12